ADC: ADC_settings::ADC_REGS_t Struct Reference

ADC 8.0 Analog to Digital Conversor library for the Teensy 3.1/3.2 microprocessor

Public Attributes | List of all members
ADC_settings::ADC_REGS_t Struct Reference

`#include <settings_defines.h>`

## Public Attributes
volatile uint32_t | SC1A
volatile uint32_t | SC1B
volatile uint32_t | CFG1
volatile uint32_t | CFG2
volatile uint32_t | RA
volatile uint32_t | RB
volatile uint32_t | CV1
volatile uint32_t | CV2
volatile uint32_t | SC2
volatile uint32_t | SC3
volatile uint32_t | OFS
volatile uint32_t | PG
volatile uint32_t | MG
volatile uint32_t | CLPD
volatile uint32_t | CLPS
volatile uint32_t | CLP4
volatile uint32_t | CLP3
volatile uint32_t | CLP2
volatile uint32_t | CLP1
volatile uint32_t | CLP0
volatile uint32_t | PGA
volatile uint32_t | CLMD
volatile uint32_t | CLMS
volatile uint32_t | CLM4
volatile uint32_t | CLM3
volatile uint32_t | CLM2
volatile uint32_t | CLM1
volatile uint32_t | CLM0

## Member Data Documentation

## ◆ CFG1

volatile uint32_t ADC_settings::ADC_REGS_t::CFG1

## ◆ CFG2

volatile uint32_t ADC_settings::ADC_REGS_t::CFG2

## ◆ CLM0

volatile uint32_t ADC_settings::ADC_REGS_t::CLM0

## ◆ CLM1

volatile uint32_t ADC_settings::ADC_REGS_t::CLM1

## ◆ CLM2

volatile uint32_t ADC_settings::ADC_REGS_t::CLM2

## ◆ CLM3

volatile uint32_t ADC_settings::ADC_REGS_t::CLM3

## ◆ CLM4

volatile uint32_t ADC_settings::ADC_REGS_t::CLM4

## ◆ CLMD

volatile uint32_t ADC_settings::ADC_REGS_t::CLMD

## ◆ CLMS

volatile uint32_t ADC_settings::ADC_REGS_t::CLMS

## ◆ CLP0

volatile uint32_t ADC_settings::ADC_REGS_t::CLP0

## ◆ CLP1

volatile uint32_t ADC_settings::ADC_REGS_t::CLP1

## ◆ CLP2

volatile uint32_t ADC_settings::ADC_REGS_t::CLP2

## ◆ CLP3

volatile uint32_t ADC_settings::ADC_REGS_t::CLP3

## ◆ CLP4

volatile uint32_t ADC_settings::ADC_REGS_t::CLP4

## ◆ CLPD

volatile uint32_t ADC_settings::ADC_REGS_t::CLPD

## ◆ CLPS

volatile uint32_t ADC_settings::ADC_REGS_t::CLPS

## ◆ CV1

volatile uint32_t ADC_settings::ADC_REGS_t::CV1

## ◆ CV2

volatile uint32_t ADC_settings::ADC_REGS_t::CV2

## ◆ MG

volatile uint32_t ADC_settings::ADC_REGS_t::MG

## ◆ OFS

volatile uint32_t ADC_settings::ADC_REGS_t::OFS

## ◆ PG

volatile uint32_t ADC_settings::ADC_REGS_t::PG

## ◆ PGA

volatile uint32_t ADC_settings::ADC_REGS_t::PGA

## ◆ RA

volatile uint32_t ADC_settings::ADC_REGS_t::RA

## ◆ RB

volatile uint32_t ADC_settings::ADC_REGS_t::RB

## ◆ SC1A

volatile uint32_t ADC_settings::ADC_REGS_t::SC1A

## ◆ SC1B

volatile uint32_t ADC_settings::ADC_REGS_t::SC1B

## ◆ SC2

volatile uint32_t ADC_settings::ADC_REGS_t::SC2

## ◆ SC3

volatile uint32_t ADC_settings::ADC_REGS_t::SC3

The documentation for this struct was generated from the following file:

- settings_defines.h